class CreateDiningCharges < ActiveRecord::Migration[5.1]
  def change
    create_table :dining_charges do |t|
      t.references :dining_facility
      t.string :item_code, :null => false
      t.integer :unit_price, :default => 0
      t.boolean :taxable, :default => true
      t.string :charge_type, :default => "hr"
      t.time :minimum_free_time
      t.time :charge_block
      t.string :time_rounding, :default => "down"
      t.time :time_rounding_block
      t.integer :time_rounding_block_price, :default => 0
      t.timestamps
    end
  end
end
